%{?scl:%scl_package selinux-links}
%{!?scl:%global pkg_name %{name}}

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: SELinux SCL Python36 Links
Name: %{?scl_prefix}selinux-links
Version: 1.0
Release: 1%{?dist}
License: Public Domain
Group: System Environment/Libraries
# https://github.com/SELinuxProject/selinux/wiki/Releases
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

libselinux provides an API for SELinux applications to get and set
process and file security contexts and to obtain security policy
decisions.  Required for any applications that use the SELinux API.


%build
mkdir -p %{buildroot}/opt/rh/rh-python36/root/usr/lib64/
ln -s /usr/lib64/libsepol.a %{buildroot}/opt/rh/rh-python36/root/usr/lib64/libsepol.a 

%clean
set -ex
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/opt/rh/rh-python36/root/usr/lib64/libsepol.a

%changelog
* Sat Apr 20 2019 Martin Juhl <m@rtinjuhl.dk> - 1.0-1
- First release

